5 Replies Latest reply on Jan 11, 2019 4:19 PM by Gabriel Diaz

    error while loading shared libraries: libblssl.so.0.9.8

    Ronald van Gogh
      Share:|

      We have build a BLPackage to install and configure some software and at a certain point it tries to issue the /usr/bin/zypper command as an external command. We noticed that this failed when run from the BLPackage, but it seems to work if we issue this command on the server.

      We found in the bldeploy log this error message:

       

      03/05/18 12:54:06.472 WARN     bldeploy - [10][Step 4 - Make sure the dependencies are met before installing the Legato software] [stderr: 10]  /usr/bin/zypper: error while loading shared libraries: libblssl.so.0.9.8: cannot open shared object file: No such file or directory

       

      We checked on the server on this library and that indeed does not seem to exist, while a newer version does:

       

      # find / -name libblssl\* -ls           

      147495    0 lrwxrwxrwx   1 root     root           50 Mar  2 14:07 /lib64/libblssl.so.1.0.0 -> /appl/bsa/bmc/BladeLogic/NSH/lib/libblssl.so.1.0.0

      147493    0 lrwxrwxrwx   1 root     root           50 Mar  2 14:07 /lib64/libblssl.so -> /appl/bsa/bmc/BladeLogic/NSH/lib/libblssl.so.1.0.0

      172114  432 -rwxr-xr-x   1 root     root       436504 Mar  2 14:07 /appl/bsa/bmc/BladeLogic/NSH/lib/libblssl.so.1.0.0

      172224    0 lrwxrwxrwx   1 root     root           17 Mar  2 14:07 /appl/bsa/bmc/BladeLogic/NSH/lib/libblssl.so -> libblssl.so.1.0.0

       

      We noticed that during the execution of the command via the blpackage that the LD_LIBRARY_PATH setting was set to /appl/bsa/bmc/BladeLogic/NSH/lib, so that looks ok. When issueing the command "ldd /usr/bin/zypper" from a ssh session to the server, we don't see it's using a libblssl library, but when running this command from the blpackage we see these error messages in the results:

       

      Info 03/05/2018 12:54:17 libblssl.so.0.9.8 => not found

      Info 03/05/2018 12:54:17 libblcrypto.so.0.9.8 => not found

       

      What's causing this issue? How can we fix this? Why is such a command using different libraries when being called from a blpackage?